---
apiVersion: machine.openshift.io/v1beta1
kind: MachineSet
metadata:
  annotations:
    machine.openshift.io/GPU: "0"
    machine.openshift.io/memoryMb: "32768"
    machine.openshift.io/vCPU: "4"
  creationTimestamp: "2022-05-26T13:22:59Z"
  generation: 1
  labels:
    hive.openshift.io/machine-pool: infra
    hive.openshift.io/managed: "true"
    machine.openshift.io/cluster-api-cluster: REDACTED
  managedFields:
  - apiVersion: machine.openshift.io/v1beta1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:machine.openshift.io/GPU: {}
          f:machine.openshift.io/memoryMb: {}
          f:machine.openshift.io/vCPU: {}
    manager: machine-controller-manager
    operation: Update
    time: "2022-05-26T13:22:59Z"
  - apiVersion: machine.openshift.io/v1beta1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        .: {}
        f:fullyLabeledReplicas: {}
        f:observedGeneration: {}
        f:replicas: {}
    manager: machineset-controller
    operation: Update
    subresource: status
    time: "2022-05-26T13:22:59Z"
  - apiVersion: machine.openshift.io/v1beta1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:labels:
          .: {}
          f:hive.openshift.io/machine-pool: {}
          f:hive.openshift.io/managed: {}
          f:machine.openshift.io/cluster-api-cluster: {}
      f:spec:
        .: {}
        f:replicas: {}
        f:selector:
          .: {}
          f:matchLabels:
            .: {}
            f:machine.openshift.io/cluster-api-cluster: {}
            f:machine.openshift.io/cluster-api-machineset: {}
        f:template:
          .: {}
          f:metadata:
            .: {}
            f:labels:
              .: {}
              f:machine.openshift.io/cluster-api-cluster: {}
              f:machine.openshift.io/cluster-api-machine-role: {}
              f:machine.openshift.io/cluster-api-machine-type: {}
              f:machine.openshift.io/cluster-api-machineset: {}
          f:spec:
            .: {}
            f:lifecycleHooks: {}
            f:metadata:
              .: {}
              f:labels:
                .: {}
                f:node-role.kubernetes.io: {}
                f:node-role.kubernetes.io/infra: {}
            f:providerSpec:
              .: {}
              f:value:
                .: {}
                f:ami:
                  .: {}
                  f:id: {}
                f:apiVersion: {}
                f:blockDevices: {}
                f:credentialsSecret:
                  .: {}
                  f:name: {}
                f:deviceIndex: {}
                f:iamInstanceProfile:
                  .: {}
                  f:id: {}
                f:instanceType: {}
                f:kind: {}
                f:metadata:
                  .: {}
                  f:creationTimestamp: {}
                f:placement:
                  .: {}
                  f:availabilityZone: {}
                  f:region: {}
                f:securityGroups: {}
                f:subnet:
                  .: {}
                  f:filters: {}
                f:tags: {}
                f:userDataSecret:
                  .: {}
                  f:name: {}
            f:taints: {}
    manager: manager
    operation: Update
    time: "2022-05-26T13:22:59Z"
  name: REDACTED-infra-us-east-1a
  namespace: openshift-machine-api
  resourceVersion: "754857"
  uid: 2081595e-bfca-4b95-8dea-6a39cf7da0bb
spec:
  replicas: 2
  selector:
    matchLabels:
      machine.openshift.io/cluster-api-cluster: REDACTED
      machine.openshift.io/cluster-api-machineset: REDACTED-infra-us-east-1a
  template:
    metadata:
      labels:
        machine.openshift.io/cluster-api-cluster: REDACTED
        machine.openshift.io/cluster-api-machine-role: infra
        machine.openshift.io/cluster-api-machine-type: infra
        machine.openshift.io/cluster-api-machineset: REDACTED-infra-us-east-1a
    spec:
      lifecycleHooks: {}
      metadata:
        labels:
          node-role.kubernetes.io: infra
          node-role.kubernetes.io/infra: ""
      providerSpec:
        value:
          ami:
            id: ami-0efc96a4e17e7b048
          apiVersion: awsproviderconfig.openshift.io/v1beta1
          blockDevices:
          - ebs:
              encrypted: true
              iops: 0
              kmsKey:
                arn: ""
              volumeSize: 300
              volumeType: gp2
          credentialsSecret:
            name: aws-cloud-credentials
          deviceIndex: 0
          iamInstanceProfile:
            id: REDACTED-worker-profile
          instanceType: r5.xlarge
          kind: AWSMachineProviderConfig
          metadata:
            creationTimestamp: null
          placement:
            availabilityZone: us-east-1a
            region: us-east-1
          securityGroups:
          - filters:
            - name: tag:Name
              values:
              - REDACTED-worker-sg
          subnet:
            filters:
            - name: tag:Name
              values:
              - REDACTED-private-us-east-1a
          tags:
          - name: kubernetes.io/cluster/REDACTED
            value: owned
          userDataSecret:
            name: worker-user-data
      taints:
      - effect: NoSchedule
        key: node-role.kubernetes.io/infra
status:
  fullyLabeledReplicas: 2
  observedGeneration: 1
  replicas: 2
